summaryrefslogtreecommitdiffstats
path: root/development/nsis
diff options
context:
space:
mode:
author Martinus Ady H2010-05-13 00:57:57 +0200
committer Robby Workman2010-05-13 00:57:57 +0200
commit785425b7b9e0d5be7bb8c159d8cf98a788619340 (patch)
tree73524d6f142b7eda30cf704e3994775e97f39633 /development/nsis
parent2d69974d63a295691b5317656b254e9153e83b2f (diff)
downloadslackbuilds-785425b7b9e0d5be7bb8c159d8cf98a788619340.tar.gz
development/nsis: Added to 13.0 repository
Diffstat (limited to 'development/nsis')
-rw-r--r--development/nsis/README7
-rw-r--r--development/nsis/nsis.SlackBuild100
-rw-r--r--development/nsis/nsis.info12
-rw-r--r--development/nsis/slack-desc18
4 files changed, 137 insertions, 0 deletions
diff --git a/development/nsis/README b/development/nsis/README
new file mode 100644
index 0000000000..26ef42ee1a
--- /dev/null
+++ b/development/nsis/README
@@ -0,0 +1,7 @@
+NSIS (Nullsoft Scriptable Install System) is a professional open source system
+to create Windows installers. It is designed to be as small and flexible as
+possible and is therefore very suitable for internet distribution.
+
+NOTE: This won't build on x86_64.
+
+This requires scons.
diff --git a/development/nsis/nsis.SlackBuild b/development/nsis/nsis.SlackBuild
new file mode 100644
index 0000000000..009664b656
--- /dev/null
+++ b/development/nsis/nsis.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for nsis
+
+# Copyright 2008-2009 Martinus Ady H <mrt.itnewbies@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=nsis
+VERSION=2.46
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $TMP/$PRGNAM-$VERSION-src $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION-src.tar.bz2
+cd $PRGNAM-$VERSION-src
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Extract the zip package and fix perms if needed
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
+unzip $CWD/$PRGNAM-$VERSION.zip -d $PKG/usr/lib${LIBDIRSUFFIX}
+chown -R root:root $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION
+chmod -R u+w,go+r-w,a-s $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION
+
+# PREFIX=$PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION search located zip extracted dir.
+# *makensis* will be placed in $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION
+scons \
+ SKIPSTUBS=all \
+ SKIPPLUGINS=all \
+ SKIPUTILS=all \
+ SKIPMISC=all \
+ NSIS_CONFIG_CONST_DATA_PATH=no \
+ PREFIX=$PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION \
+ install-compiler
+
+# Creating symlink for executable makensis
+mkdir -p $PKG/usr/bin
+( cd $PKG/usr/bin ; ln -sf ../lib${LIBDIRSUFFIX}/nsis-2.46/makensis makensis )
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type 1) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ SConstruct ChangeLog INSTALL COPYING TODO.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/nsis/nsis.info b/development/nsis/nsis.info
new file mode 100644
index 0000000000..e69d795869
--- /dev/null
+++ b/development/nsis/nsis.info
@@ -0,0 +1,12 @@
+PRGNAM="nsis"
+VERSION="2.46"
+HOMEPAGE="http://nsis.sourceforge.net/Main_Page"
+DOWNLOAD="http://downloads.sourceforge.net/nsis/nsis-2.46-src.tar.bz2 \
+ http://downloads.sourceforge.net/nsis/nsis-2.46.zip"
+MD5SUM="61c2e81739436b06d7cf7bcce1d533ac \
+ d7e43beabc017a7d892a3d6663e988d4"
+DOWNLOAD_x86_64="UNSUPPORTED"
+MD5SUM_x86_64=""
+MAINTAINER="Martinus Ady H"
+EMAIL="mrt.itnewbies@gmail.com"
+APPROVED="rworkman"
diff --git a/development/nsis/slack-desc b/development/nsis/slack-desc
new file mode 100644
index 0000000000..9640dff309
--- /dev/null
+++ b/development/nsis/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+nsis: NSIS (Nullsoft Scriptable Install System)
+nsis:
+nsis: NSIS (Nullsoft Scriptable Install System) is a professional open
+nsis: source system to create Windows installers. It is designed to be as
+nsis: small and flexible as possible and is therefore very suitable for
+nsis: internet distribution.
+nsis:
+nsis: Homepage: http://nsis.sourceforge.net/
+nsis:
+nsis: